Get Connection Shape
get
/rpa/v1/connectionShapes/{identifier}
Gets a Connection Shape by identifier
Request
Path Parameters
-
identifier(required): string
Identifier.
Query Parameters
-
projectId(required): string
Project identifier
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Retrieves the Connection Shape with the given id
Headers
-
etag:
For optimistic concurrency control. See `if-match`.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : ConnectionShape
Type:
objectDetails of ConnectionShape.
Show Source
-
createdBy: string
Created By
-
description: string
ConnectionShape description
-
displayName(required): string
ConnectionShape name
-
identifier(required): string
ConnectionShape identifier
-
keywords: string
ConnectionShape keywords
-
lifecycleState(required): string
Allowed Values:
[ "CONFIGURED" ]The current state of the ConnectionShape. -
schema(required): string
The Schema refers to the JSON to which the Connection's content will adhere.
-
timeCreated: string
(date-time)
The time the ConnectionShape was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time the ConnectionShape was last updated. An RFC3339 formatted datetime string
-
updatedBy: string
Updated By.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.